DeluxHostAPI Reference
Account profile

Check billing profile completeness

GET
/v1/account/profile/billing-status

Authorization

apiToken account:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: account:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
complete*boolean
missing*array<string|string|string|string>
curl -X GET 'https://api.deluxhost.net/v1/account/profile/billing-status' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "complete": true,  "missing": [    "address"  ]}